Subject: Re: bug#17361: Tramp does not save history across sessions.

From: Michael Albinus <[email-masked]>
Date: Mon, 28 Apr 2014 20:01:54 +0200

Stefan Monnier <[email-masked]> writes:

> Not true any more: Emacs-24.4's `add-function' was invented in response
> to this specific request (or maybe it was for set-process-filter, but
> the point stands).

Ah, thanks. I wasn't aware of this use case. However, shouldn't this be
propagated further? The Elisp info pages do not mention this use case,
when speaking about `set-process-filter' or `set-process-sentinel'.

Anyway, I'll try to rewrite Tramp's process filters and sentinels next
days. As usual, the crucial point will be backward compatibility ...

>         Stefan

Best regards, Michael.